FaceRig

FaceRig

View Stats:
FaceRig > General Discussions > Topic Details
 This topic has been pinned, so it's probably important
Holotech Studios  [developer] Jun 26, 2015 @ 12:00am
FaceRig builds: "nextversion" "previousversion" and "default"
Hello Awesome Folks!

Because FaceRig is an ever evolving communication platform and we are constantly working on it, improving it, fixing bugs and adding features, at any given time there are at least three builds of FaceRig out there for you to use. To deliver them to you (and let you switch between them) we use Steam's BETA branch system.

Which one is right for you? Read on to find out :D


The "nextversion" build: This is the most recent build; it has all the latest bells and whistles, but it is still in need of testing. Only use this if you want to help us shape the program even more than usual, and if you are not afraid of occasional errors and program bugs as this build is the least stable. Please post about them bugs in the "nextversion" section of the forum as soon as you find them. If you are a non technical person, or if you do not like to carefully read the change-log, announcement and documentation whenever there's an update, "nextversion" may not be for you, (some nextversion builds may require you to take some special actions such as manually installing some components in order to be fully usable).


The Default build: The one you Steam downloads for you by default if you do not mess with any settings. This is the most recent, reasonably tested build. Usually after a build version spends enough time on the "nextversion" branch, it gets promoted to the default branch for wide scale deployment.


The"previousversion" build: This is meant ONLY as an emergency measure for you, if you are normally using the default build, but one day an unexpected program update has a bug that causes you to not be able to use the program anymore, just when you had planned an event for which you absolutely NEED to use it!
In this case just roll back to "previousversion" which is the previous version of the program from the default branch.
Also tell us of any bugs who have forced you to take this measure, we need to know about it ASAP so we can fix it, before the next update :)

If you are wondering about how to switch between those three branches here are the steps:
  • Open Steam Client. Go to Library -> Software
  • Right mouse click on FaceRig -> Properties
  • Go to BETAS tab, click in the "Select the beta you would like to opt into:" drop down, select "nextversion" or" previousversion" or "opt out" if you want to go back to default.
  • Close window. The FaceRig program will update to the desired branch.

Except for default, the name of the branch you are currently using will appear in between brackets next to the program name. Sometimes you will also need to restart the Steam client, for the update to the new branch to trigger.


That's about it :)
Let us know if the explanation above is clear :D

Last edited by Holotech Studios; Jun 26, 2015 @ 12:55am
< >
Showing 1-11 of 11 comments
LopezTheHeavy Jul 17, 2015 @ 6:31am 
What is the code to access the nextversion? Steam wont let me into it without one.
Last edited by LopezTheHeavy; Jul 17, 2015 @ 6:42am
You don't need a code to access the "nextversion" branch. just select it from the dropdown menu while facerig is closed and then restart steam so it can update
Averus8 Aug 17, 2015 @ 4:35pm 
Originally posted by Jujubi, Minion of Machy:
You don't need a code to access the "nextversion" branch. just select it from the dropdown menu while facerig is closed and then restart steam so it can update
no dropdown menu for me 2, "plz enter beta code"
Averus8 Aug 17, 2015 @ 4:40pm 
Originally posted by Averus8:
Originally posted by Jujubi, Minion of Machy:
You don't need a code to access the "nextversion" branch. just select it from the dropdown menu while facerig is closed and then restart steam so it can update
no dropdown menu for me 2, "plz enter beta code"
ok, you have shwich too eng lang in steam and when dropdown menu is active
FurRiffic Aug 17, 2015 @ 9:20pm 
Originally posted by Averus8:
Originally posted by Averus8:
no dropdown menu for me 2, "plz enter beta code"
ok, you have shwich too eng lang in steam and when dropdown menu is active
Are you sure FaceRig wasn't running at that time and had you tried restarting before switching language? Even with a different language, I am able to select the different builds, so I think one of the two above were the problem.
Averus8 Sep 3, 2015 @ 3:12am 
Originally posted by FurRiffic:
Originally posted by Averus8:
ok, you have shwich too eng lang in steam and when dropdown menu is active
Are you sure FaceRig wasn't running at that time and had you tried restarting before switching language? Even with a different language, I am able to select the different builds, so I think one of the two above were the problem.
not running
komorigaki Jun 24, 2016 @ 12:45am 
Is there any way to get and use the older version than the current "previousversion" ?

After the update, I have some troubles with the previousversion, though there has been no problem on the old previousversion which I was using before the update.
I tried the default build and the nextversion both before and after the update, however I could not run the facerig well.
Mighty_Potato Jun 24, 2016 @ 1:38am 
Originally posted by komorigaki:
Is there any way to get and use the older version than the current "previousversion" ?

After the update, I have some troubles with the previousversion, though there has been no problem on the old previousversion which I was using before the update.
I tried the default build and the nextversion both before and after the update, however I could not run the facerig well.

Can you please make your own thread and describe what issue you are having, maybe we are able to assist you. Right now it is not possible to switch to an older previousversion than the current one.
komorigaki Jun 24, 2016 @ 2:50pm 
Originally posted by Mighty_Potato:
Originally posted by komorigaki:
Is there any way to get and use the older version than the current "previousversion" ?

After the update, I have some troubles with the previousversion, though there has been no problem on the old previousversion which I was using before the update.
I tried the default build and the nextversion both before and after the update, however I could not run the facerig well.

Can you please make your own thread and describe what issue you are having, maybe we are able to assist you. Right now it is not possible to switch to an older previousversion than the current one.

Thanks for your reply!
I'll try by my own for now. I'll inform if there is news worth to everyone.
meliodas Sep 11, 2018 @ 10:00am 
?
meliodas Sep 11, 2018 @ 10:00am 
Originally posted by Mighty_Potato:
Originally posted by komorigaki:
Is there any way to get and use the older version than the current "previousversion" ?

After the update, I have some troubles with the previousversion, though there has been no problem on the old previousversion which I was using before the update.
I tried the default build and the nextversion both before and after the update, however I could not run the facerig well.

Can you please make your own thread and describe what issue you are having, maybe we are able to assist you. Right now it is not possible to switch to an older previousversion than the current one.
< >
Showing 1-11 of 11 comments
Per page: 15 30 50

FaceRig > General Discussions > Topic Details